> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.crowdchange.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get offline transactions

> Retrieve a paginated list of offline donation transactions recorded against a CrowdChange campaign, including amount, donor, and entry metadata.

## Path parameters

<ParamField path="id" type="integer" required>
  Campaign ID.
</ParamField>

## Query parameters

<ParamField query="status" type="string">
  Transaction status. Allowed values: `received`, `pending`
</ParamField>

<ParamField query="fundraiser_team_id" type="integer">
  Campaign's Team.
</ParamField>

<ParamField query="fundraiser_page_id" type="integer">
  Campaign's Personal Page.
</ParamField>

<ParamField query="page" type="integer">
  Page number. Default: `1`
</ParamField>

<ParamField query="limit" type="integer">
  Number of results to return. Default: `10`
</ParamField>

<ParamField query="text" type="string">
  Search term.
</ParamField>

## Response

Returns an array of objects with the following fields.

<ResponseField name="id" type="integer">
  Transaction ID.
</ResponseField>

<ResponseField name="amount" type="number">
  Amount.
</ResponseField>

<ResponseField name="amount_total" type="number">
  Amount Total.
</ResponseField>

<ResponseField name="currency" type="string">
  Currency code. Allowed values: `CAD`, `USD`, `AUD`, `EUR`
</ResponseField>

<ResponseField name="is_pending" type="boolean">
  True if transaction is pending.
</ResponseField>

<ResponseField name="pledge_code" type="string">
  Pledge code.
</ResponseField>

<ResponseField name="tax_eligible_amount" type="number">
  Tax Eligible Amount.
</ResponseField>

<ResponseField name="has_tax_receipt" type="boolean">
  True if transaction has tax receipt.
</ResponseField>

<ResponseField name="created_at" type="string">
  Transaction creation date.
</ResponseField>

<ResponseField name="billing" type="object">
  User's billing information.

  <Expandable title="properties">
    <ResponseField name="business_name" type="string">
      Business name.
    </ResponseField>

    <ResponseField name="is_foundation" type="boolean">
      Is this transaction made by foundation?
    </ResponseField>

    <ResponseField name="title" type="string">
      Honorific (i.e. Mr / Miss / etc).
    </ResponseField>

    <ResponseField name="name" type="string">
      Full user name including honorific.
    </ResponseField>

    <ResponseField name="first_name" type="string">
      User's first name.
    </ResponseField>

    <ResponseField name="last_name" type="string">
      User's last name.
    </ResponseField>

    <ResponseField name="street_address" type="string">
      Street name and number.
    </ResponseField>

    <ResponseField name="city" type="string">
      City name.
    </ResponseField>

    <ResponseField name="country" type="string">
      Country code.
    </ResponseField>

    <ResponseField name="state" type="string">
      State or province..
    </ResponseField>

    <ResponseField name="postal" type="string">
      ZIP or Postal Code.
    </ResponseField>

    <ResponseField name="email" type="string">
      User's email address.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="fundraiser_page" type="object">
  Personal Page.

  <Expandable title="properties">
    <ResponseField name="id" type="integer">
      Personal Page ID.
    </ResponseField>

    <ResponseField name="name" type="string">
      Personal Page name.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="fundraiser_team" type="object">
  Team.

  <Expandable title="properties">
    <ResponseField name="id" type="integer">
      Team ID.
    </ResponseField>

    <ResponseField name="name" type="string">
      Team name.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="tax_receipt" type="object">
  Tax receipt information.

  <Expandable title="properties">
    <ResponseField name="id" type="integer">
      Unique id.
    </ResponseField>

    <ResponseField name="amount_donation" type="number">
      Total donation amount.
    </ResponseField>

    <ResponseField name="amount_benefit" type="number">
      Benefit amount.
    </ResponseField>

    <ResponseField name="amount_eligible" type="number">
      Eligible amount.
    </ResponseField>

    <ResponseField name="name_on_receipt" type="string">
      Name on receipt.
    </ResponseField>

    <ResponseField name="issued_on" type="string">
      Date when the tax receipt was issued.
    </ResponseField>

    <ResponseField name="receipt_number" type="string">
      Tax receipt number
    </ResponseField>

    <ResponseField name="title" type="string">
      Honorific (i.e. Mr / Miss / etc).
    </ResponseField>

    <ResponseField name="first_name" type="string">
      First name.
    </ResponseField>

    <ResponseField name="last_name" type="string">
      Last name.
    </ResponseField>

    <ResponseField name="street_address" type="string">
      Street name and number.
    </ResponseField>

    <ResponseField name="city" type="string">
      City name.
    </ResponseField>

    <ResponseField name="country" type="string">
      Country code.
    </ResponseField>

    <ResponseField name="state" type="string">
      State or province..
    </ResponseField>

    <ResponseField name="postal" type="string">
      ZIP or Postal Code.
    </ResponseField>

    <ResponseField name="email" type="string">
      Email address.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="transaction_meta" type="object">
  Meta information.

  <Expandable title="properties">
    <ResponseField name="is_lump_sum" type="boolean">
      True if it is a lump sum.
    </ResponseField>

    <ResponseField name="is_foundation" type="boolean">
      Is this transaction made by foundation?
    </ResponseField>
  </Expandable>
</ResponseField>

**Other responses**

| Status | Description |
| ------ | ----------- |
| `400`  | Bad Request |
| `403`  | Forbidden   |

<ResponseExample>
  ```json theme={null}
  [
    {
      "id": 1,
      "amount": 100,
      "amount_total": 100,
      "currency": "USD",
      "is_pending": false,
      "pledge_code": "PLEDGE_CODE",
      "tax_eligible_amount": 100,
      "has_tax_receipt": false,
      "created_at": "2024-01-01 16:00:03",
      "billing": {
        "business_name": "Company Inc",
        "is_foundation": false,
        "title": "Mr.",
        "name": "Mr. John Snow",
        "first_name": "John",
        "last_name": "Snow",
        "street_address": "100 Main Street",
        "city": "Toronto",
        "country": "CA",
        "state": "ON",
        "postal": "A1A 1A1",
        "email": "john@example.com"
      },
      "fundraiser_page": {
        "id": 1001,
        "name": "Personal Page name"
      },
      "fundraiser_team": {
        "id": 1001,
        "name": "Team name"
      },
      "tax_receipt": {
        "id": 1001,
        "amount_donation": 100.99,
        "amount_benefit": 10.49,
        "amount_eligible": 90.5,
        "name_on_receipt": "John Smith",
        "issued_on": "2021-01-01 19:00:00",
        "receipt_number": "TAX-0012345",
        "title": "Mr.",
        "first_name": "John",
        "last_name": "Snow",
        "street_address": "100 Main Street",
        "city": "Toronto",
        "country": "CA",
        "state": "ON",
        "postal": "A1A 1A1",
        "email": "john@example.com"
      },
      "transaction_meta": {
        "is_lump_sum": false,
        "is_foundation": false
      }
    }
  ]
  ```
</ResponseExample>
